<div class='create_course' xmlns="http://www.w3.org/1999/html">
  <form novalidate [formGroup]="createCourseForm"
        class='create_course__form'
        (ngSubmit)="onSubmit()">
    <div class='create_course__form__title'>
      <div class='create_course__form__title form-group'>
        <label class='create_course__form__title__label'>Title:</label>
        <input
          class='create_course__form__title__input form-control'
          placeholder='Enter title ...'
          type='text'
          minLength='2'
          maxLength='20'
          formControlName="title"
          required
        />
        <div class="form-control-feedback"
             [ngClass]="{'error': title.invalid && title.touched}"
             *ngIf="title.errors && title.touched">
          <p [ngClass]="{'error': title.invalid && title.touched}"
             *ngIf="title.errors.required">Title is required.</p>
          <p [ngClass]="{'error': title.invalid && title.touched}"
             *ngIf="title.errors.minlength">Title should be at least 2 characters long.</p>
        </div>

      </div>
      <div class='create_course__form__description form-group'>
        <label class='create_course__form__description__label'>Description:</label>
        <textarea
          class='create_course__form__description__field form-control'
          placeholder='Enter description ...'
          type="text"
          minLength='2'
          maxLength='240'
          formControlName="description"
          required
        >
        </textarea>
        <div class="form-control-feedback"
             [ngClass]="{'error': description.invalid && description.touched}"
             *ngIf="description.errors && description.touched">
          <p [ngClass]="{'error': description.invalid && description.touched}"
             *ngIf="description.errors.required">Description is required.</p>
          <p [ngClass]="{'error': description.invalid && description.touched}"
             *ngIf="description.errors.minlength">Description should be at least 2 characters long.</p>
        </div>

      </div>
      <div class='create_course__form__date'>
        <label class='create_course__form__date__label'>Date:</label>
        <input
          class='create_course__form__date__input form-control'
          type="date"
          formControlName="date"
          required
        >
      </div>
      <div class="form-control-feedback"
           [ngClass]="{'error': date.invalid && date.touched}"
           *ngIf="date.errors && date.touched">
        <p [ngClass]="{'error': date.invalid && date.touched}"
           *ngIf="date.errors.required">Date is required.</p>
      </div>

      <div class='create_course__form__duration'>
        <label class='create_course__form__date__label'>Duration:</label>
        <input
          class='create_course__form__duration__input form-control'
          type="number"
          minLength='1'
          maxLength='10'
          min='0'
          #durationInput (input)="handleDurationEventValue(durationInput.value)"
          formControlName="duration"
          required
        />
        <span class='create_course__form__duration__time__text'>
            {{ getCourseDuration() }}
          </span>
      </div>
      <div class="form-control-feedback"
           [ngClass]="{'error': duration.invalid && duration.touched}"
           *ngIf="duration.errors && duration.touched">
        <p [ngClass]="{'error': duration.invalid && duration.touched}"
           *ngIf="duration.errors.required">Duration is required.</p>
      </div>

      <div class='create_course__form__author form-group'>
        <label class='create_course__form__author__label'>Author:</label>
        <input
          class='create_course__form__author__input form-control'
          type="text"
          ngDefaultControl
          formControlName="author"
          required
        />
      </div>
    </div>
    <div class="create_course__form__buttons">
      <button
        type='submit'
        class='create_course__form__buttons__save_button'
        [disabled]="!createCourseForm.valid">
        Save
      </button>
      <button
        type='submit'
        class='create_course__form__buttons__cancel_button'
        (click)="goHome()">
        Cancel
      </button>
    </div>
  </form>
</div>
